@import "reset.css";
@import "fonts.css";
@import "mobile.css";
@import "desktop.css";

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  --primary-brand-color: #e6612f;
  --primary-brand-color-lighter: #ea8058;
  --primary-brand-color-darker: #cc582c;
  --secondary-brand-color: #eae7e7;
  --secondary-brand-color-lighter: #fff;
  --secondary-brand-color-darker: #b1afaf;
  --tertiary-brand-color: #807d7d;
  --tertiary-brand-color-lighter: #aeacac;
  --tertiary-brand-color-darker: #5a5959;

  --primary-font-color: #000;
  --secondary-font-color: #fff;
  --tertiary-font-color: #5a5959;
  --link-font-color: #cc582c;
}

.header__link {
  background-color: transparent;
}

#header__logo {
  background-color: transparent;
  margin-left: 20px;
  margin-right: auto;
}

.desktop-sign-up {
  display: none;
}

.nav-toggle {
  display: none;
  margin-right: 20px;
}

.visible {
  display: block;
}

.header {
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
  overflow: auto;
  .logo-link {
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-content: center;
    align-items: center;
    justify-content: center;
    font-family: HankenGroteskExtraBold, serif;
    font-size: 20px;
    margin-top: 20px;
    margin-left: 20px;
    margin-right: auto;
    .logo {
      background-color: transparent;
      width: 28px !important;
      height: 28px;
    }
  }
  .header-content {
    .top_bar {
      margin: 0;
      padding: 0;
      background-color: transparent;
      display: flex;
      flex-direction: row;
    }
    .headline {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      align-content: center;
      gap: 40px;
      padding: 20px;
      height: calc(100vh - 80px);
      h1 {
        max-width: 800px;
        text-align: left;
        font-size: 38px;
        color: var(--primary-brand-color);
        padding: 0;
        margin: 0;
      }
      h2 {
        width: 100%;
        max-width: 800px;
        text-align: left !important;
        font-size: 28px;
        color: var(--secondary-brand-color);
        padding: 0;
        margin: 0;
      }
      p {
        width: 100%;
        text-align: left;
        padding: 0;
        margin: 0;
        color: var(--secondary-font-color);
        font-size: 22px;
        max-width: 800px;
      }
      .smallprint {
        font-size: 14px;
        font-style: italic;
      }
      .button {
        background-color: var(--primary-brand-color);
        color: var(--secondary-brand-color);
        border: 0;
        font-size: 20px;
        padding: 10px;
        border-radius: 8px;
        cursor: pointer;
        svg {
          fill: var(--secondary-brand-color);
        }
      }
    }
  }
  .video-container {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    overflow: hidden;
    margin: 0;
    padding: 0;
    width: 100vw;
    height: 100vh;
    z-index: -1;
    video {
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      margin: 0;
      padding: 0;
      filter: blur(30px) grayscale(90%);
      transform: scale(2);
      object-fit: cover;
    }
  }
}

body {
  background-color: #232323;
}
.why-should-you-choose-us,
.how-do-we-work,
.what-do-we-do,
.what-projects-have-we-worked-on,
.what-are-the-next-steps {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  align-content: center;
  padding: 20px;
  gap: 80px;
  z-index: 1;
  background-color: #fff;
  h2 {
    font-size: 40px;
    text-align: center;
    margin-top: 80px;
    margin-bottom: 80px;
    padding: 0;
  }
  .cards {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    align-content: center;
    height: auto;
    gap: 80px;
    margin-bottom: 80px;
  }
  .card {
    display: flex;
    flex-direction: column;
    padding: 10px;
    border: 2px solid #000;
    width: 460px;
    height: 100px;
    gap: 20px;
    cursor: pointer;
    p {
      padding: 0;
      margin: 0;
    }
    p:first-of-type {
      font-size: 20px;
      font-weight: bold;
    }
    .description {
      font-size: 16px;
      color: #3c3b3b;
    }
    .smallprint {
      display: flex;
      flex-direction: column;
      gap: 10px;
      p {
        font-size: 14px;
        font-weight: bold;
      }
      margin-bottom: 20px;
      margin-top: auto;
    }
    .warning {
      color: #f44295;
    }
  }
  .card:hover {
    background-color: black;
    color: #fff;
    .description {
      font-size: 16px;
      color: #b4b3b3;
    }
  }
}

.why-should-you-choose-us {
  .card {
    height: 260px;
  }
}

.how-do-we-work {
  .card {
    height: 260px;
  }
}

.what-do-we-do {
  .card {
    height: 260px;
  }
}

.what-projects-have-we-worked-on {
  .card {
    width: 460px;
    height: 460px;
  }

  .card:hover {
    background-color: revert;
    color: revert;
    .description {
      font-size: 16px;
      color: #3c3b3b;
    }
  }
}

.anthony-general-building-maintenance,
.bytetransfer {
  padding: 0 !important;
  margin: 0;
  overflow: hidden;

  p.description {
    margin: 0 10px 0 10px;
  }

  p.title {
    margin: 10px 10px 0 10px;
  }

  img {
    margin-bottom: 0;
    margin-top: auto;
    width: 100%;
  }
}

.testimonial {
  height: 50vh;
  background-color: black;
  color: #fff;
  font-style: italic;
  font-size: 28px;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  align-content: center;
  font-family: Serif;

  p {
    max-width: 600px;
  }

  .name {
    font-family: sans-serif;
    font-size: 18px;
    font-style: normal;
    color: #838282;
  }

  .role {
    font-family: sans-serif;
    font-size: 14px;
    font-style: normal;
    color: #838282;
  }

  .company {
    font-family: sans-serif;
    font-size: 14px;
    font-style: normal;
    color: #838282;
  }
}

.what-are-the-next-steps {
  gap: 40px;
  p {
    padding: 0;
    margin: 0;
    width: 460px;
  }
  .contact-form {
    display: flex;
    flex-direction: column;
    margin: 0;
    padding: 0;
    width: 460px;
    overflow: hidden;
    align-items: center;
    align-content: center;
    justify-content: center;
    gap: 20px;
    .error {
      text-align: left;
      color: #ef2424;
      width: 100%;
    }
    .form-field {
      margin: 0 !important;
      width: 100%;
      display: flex;
      flex-direction: column;
      align-items: center;
      align-content: center;
      justify-content: center;
      label {
        width: 100%;
        text-align: left;
        font-size: 16px;
        margin: 0;
        padding: 0;
      }
      input[type="text"],
      input[type="password"],
      select,
      textarea {
        width: 100%;
        padding: 10px;
        color: #3c3b3b;
        outline: none;
        margin: 8px 0;
        border: 1px solid #3c3b3b;
      }
      textarea {
        height: 200px;
      }

      input:focus,
      textarea:focus {
        background-color: #3c3b3b;
        color: #fff;
      }
    }

    .actions {
      width: 100%;
      display: flex;
      flex-direction: row;
      padding: 10px;
      button {
        display: flex;
        flex-direction: column;
        padding: 8px 12px;
        background-color: #3c3b3b;
        border: 0;
        cursor: pointer;
        border-radius: 4px;
      }
      button[type="reset"] {
        margin-right: 20px;
        margin-left: auto;
        background-color: #ccc;
      }
      button[type="submit"] {
        background-color: #fc007a;
        color: #fff;
      }
    }
  }
}

footer {

  display: flex;
  flex-direction: column;
  gap: 40px;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  margin: 0;
  padding: 20px;

  .footer__social {
    margin-left: 20px;
    gap: 20px;
    a {
      color: var(--primary-brand-color) !important;
      padding: 0;
    }
    margin-top: 20px;
    margin-bottom: auto;
  }

  .footer__social__items {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    gap: 10px;
  }

  a {
    color: var(--primary-brand-color) !important;
    padding: 0;
  }

  .email {
    /*outline: 1px solid red;*/
    /*margin-left: 20px;*/
    width: 100%;
    margin-top: 20px;
    padding: 0;
  }

  .inner-wrapper {
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
    margin-top: auto;
    height:100px;
    p.legalese {

      /*outline: 1px solid red;*/

      /*display: flex;*/
      /*flex-direction: column;*/
      /*gap: 20px;*/
      /*margin-right: 20px;*/


      /*margin-left: 20px;*/
    }
  }

  p {
    width: 100%;
  }

  div {
    display: flex;
    width: 100%;
  }

  .sitemap {
    margin-left: 20px;
    margin-bottom: 20px;
    a {
      text-transform: uppercase;
    }
  }

  .bottom-row {
    margin-top: auto;
    margin-bottom: 0;
    height: 240px;
    p.legalese {
      font-size: 14px;
      text-align: center;
      padding: 0;
    }
  }

}

.landing-page-with-video {
  min-height: 100vh;
}

#cookieOverlayContainer {
  display: none;
  position: sticky;
  left: 0;
  right: 0;
  bottom: 0;
  opacity: 1;
}

#cookieOverlay {
}

#cookieOverlay > .column {
  background-color: var(--secondary-brand-color);
  color: var(--primary-font-color);
  border: 0;
  z-index: 1000;
  opacity: 1;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  font-size: 1rem;

  p {
    padding: 20px !important;
  }

  a:link {
    color: var(--link-font-color);
  }
}

#cookieOverlay > .column button {
  display: inline;
  background-color: var(--primary-brand-color);
  color: var(--secondary-font-color);
  border: none;
  text-decoration: none;
  text-transform: uppercase;
  margin-top: 20px;
  margin-right: 20px;
  margin-bottom: 20px;
  padding: 10px 20px 10px 20px;
}

@media only screen and (max-height: 375px) {
  /*header {*/
  /*  height: 100%;*/
  /*  overflow: auto;*/
  /*  background-color: #000;*/
  /*  .header-content {*/
  /*    height: 100%;*/
  /*    overflow: auto;*/
  /*    background-color: transparent;*/
  /*    .headline {*/
  /*      height: 100%;*/
  /*      overflow: auto;*/
  /*      background-color: transparent;*/
  /*    }*/
  /*  }*/
  /*}*/
  /*.container {*/
  /*  margin-top: 300px;*/
  /*}*/
}

@media only screen and (min-width: 960px) {

  body {
    width: 100vw;
    overflow-x: hidden;
    overflow-y: auto ;
  }

  .header {
    width: 100vw;
    height: 100vh;
    .header-content {
      .headline {
        h1 {
          font-size: 48px;
        }
        h2 {
          font-size: 38px;
        }
        p {
          font-size: 24px;
          line-height: 32px;
        }
        button {
          font-size: 28px;
          font-weight: bold;
        }
      }
    }
  }
  footer {
    .bottom-row {
      margin-top: auto;
      margin-bottom: 0;
      height: 240px;
      p.legalese {
        margin-left: 60px;
        text-align: left;
      }
    }
  }
}
